
<assembly xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/2.4.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/2.4.0 http://maven.apache.org/xsd/assembly-2.4.0.xsd">
    <id>zip</id>
    <includeBaseDirectory>false</includeBaseDirectory>
    <formats>
        <format>zip</format>
    </formats>
    <files>
        <file>
            <source>${project.build.directory}/${project.artifactId}-${project.version}.jar</source>
        </file>
        <file>
            <source>${project.basedir}/src/main/resources/config.properties</source>
            <filtered>true</filtered>
            <outputDirectory>/src/main/resources/</outputDirectory>
        </file>
    </files>
    <dependencySets>
        <dependencySet>
            <outputDirectory>library</outputDirectory>
            <excludes>
      <exclude>${project.groupId}:${project.artifactId}:jar:*</exclude> <!--виключає джарку --> 
            </excludes>
        </dependencySet>
    </dependencySets>
</assembly>